libwpd: WPXTable Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXTable Class Reference

`#include <WPXTable.h>`

List of all members.

## Public Member Functions
| WPXTable ()
| ~WPXTable ()
void | insertRow ()
void | insertCell (uint8_t colSpan, uint8_t rowSpan, uint8_t borderBits)
const WPXTableCell * | getCell (int i, int j)
void | makeBordersConsistent ()
void | _makeCellBordersConsistent (WPXTableCell *cell, std::vector< WPXTableCell * > *adjacentCells, int adjacencyBitCell, int adjacencyBitBoundCells)
std::vector< WPXTableCell * > * | _getCellsBottomAdjacent (int i, int j)
std::vector< WPXTableCell * > * | _getCellsRightAdjacent (int i, int j)
const std::vector< std::vector< WPXTableCell * > * > * | getTableRows () const
## Private Attributes
std::vector< std::vector< WPXTableCell * > * > | m_tableRows

## Constructor & Destructor Documentation

WPXTable::WPXTable | ( |  | ) | `[inline]`

WPXTable::~WPXTable | ( |  | ) |

## Member Function Documentation

std::vector< WPXTableCell * > * WPXTable::_getCellsBottomAdjacent | ( | int | i,
|  | int | j
| ) |

std::vector< WPXTableCell * > * WPXTable::_getCellsRightAdjacent | ( | int | i,
|  | int | j
| ) |

void WPXTable::_makeCellBordersConsistent | ( | WPXTableCell * | cell,
|  | std::vector< WPXTableCell * > * | adjacentCells,
|  | int | adjacencyBitCell,
|  | int | adjacencyBitBoundCells
| ) |

const WPXTableCell* WPXTable::getCell | ( | int | i,
|  | int | j
| ) | `[inline]`

const std::vector< std::vector<WPXTableCell *> * >* WPXTable::getTableRows | ( |  | ) | const`[inline]`

void WPXTable::insertCell | ( | uint8_t | colSpan,
|  | uint8_t | rowSpan,
|  | uint8_t | borderBits
| ) |

void WPXTable::insertRow | ( |  | ) |

void WPXTable::makeBordersConsistent | ( |  | ) |

## Member Data Documentation

std::vector< std::vector<WPXTableCell *> * > WPXTable::m_tableRows`[private]`

The documentation for this class was generated from the following files:

- WPXTable.h
- WPXTable.cpp